import type { Box } from 'algosdk/dist/types/client/v2/algod/models/types';
export declare const applicationTools: {
    name: string;
    description: string;
    inputSchema: any;
}[];
export declare function getApplicationByID(appId: number, args: any): Promise<any>;
export declare function getApplicationBoxByName(appId: number, boxName: string, args: any): Promise<Box>;
export declare function getApplicationBoxes(appId: number, args: any, maxBoxes?: number): Promise<any>;
export declare function handleApplicationTools(name: string, args: any): Promise<any>;
